org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface CustomPackage

    public interface CustomPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `CustomFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `CustomPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `CUSTOMIZATION` The meta object id for the '`Customization`' class.
`static int` `CUSTOMIZATION__CATEGORIES` The feature id for the 'Categories' containment reference list.
`static int` `CUSTOMIZATION__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `CUSTOMIZATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CUSTOMIZATION__ECLASSIFIERS` The feature id for the 'EClassifiers' containment reference list.
`static int` `CUSTOMIZATION__EFACTORY_INSTANCE` The feature id for the 'EFactory Instance' reference.
`static int` `CUSTOMIZATION__ESUBPACKAGES` The feature id for the 'ESubpackages' containment reference list.
`static int` `CUSTOMIZATION__ESUPER_PACKAGE` The feature id for the 'ESuper Package' container reference.
`static int` `CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT` The feature id for the 'Must Be Loaded By Default' attribute.
`static int` `CUSTOMIZATION__NAME` The feature id for the 'Name' attribute.
`static int` `CUSTOMIZATION__NS_PREFIX` The feature id for the 'Ns Prefix' attribute.
`static int` `CUSTOMIZATION__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` `CUSTOMIZATION_FEATURE_COUNT` The number of structural features of the 'Customization' class.
`static int` `ECLASS_CUSTOMIZATION` The meta object id for the '`EClass Customization`' class.
`static int` `ECLASS_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT` The feature id for the 'Conformance Typed Element' reference.
`static int` `ECLASS_CUSTOMIZATION__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `ECLASS_CUSTOMIZATION__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `ECLASS_CUSTOMIZATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ECLASS_CUSTOMIZATION__EPACKAGE` The feature id for the 'EPackage' container reference.
`static int` `ECLASS_CUSTOMIZATION__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list.
`static int` `ECLASS_CUSTOMIZATION__EXTENDED_FACETS` The feature id for the 'Extended Facets' reference list.
`static int` `ECLASS_CUSTOMIZATION__EXTENDED_METACLASS` The feature id for the 'Extended Metaclass' reference.
`static int` `ECLASS_CUSTOMIZATION__FACET_ELEMENTS` The feature id for the 'Facet Elements' containment reference list.
`static int` `ECLASS_CUSTOMIZATION__FACET_OPERATIONS` The feature id for the 'Facet Operations' containment reference list.
`static int` `ECLASS_CUSTOMIZATION__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute.
`static int` `ECLASS_CUSTOMIZATION__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute.
`static int` `ECLASS_CUSTOMIZATION__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute.
`static int` `ECLASS_CUSTOMIZATION__NAME` The feature id for the 'Name' attribute.
`static int` `ECLASS_CUSTOMIZATION_FEATURE_COUNT` The number of structural features of the 'EClass Customization' class.
`static CustomPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `ETYPED_ELEMENT_CASE` The meta object id for the '`ETyped Element Case`' class.
`static int` `ETYPED_ELEMENT_CASE__CASE` The feature id for the 'Case' reference.
`static int` `ETYPED_ELEMENT_CASE__VALUE` The feature id for the 'Value' containment reference.
`static int` `ETYPED_ELEMENT_CASE_FEATURE_COUNT` The number of structural features of the 'ETyped Element Case' class.
`static int` `ETYPED_ELEMENT_SWITCH_QUERY` The meta object id for the '`ETyped Element Switch Query`' class.
`static int` `ETYPED_ELEMENT_SWITCH_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `ETYPED_ELEMENT_SWITCH_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `ETYPED_ELEMENT_SWITCH_QUERY__CASES` The feature id for the 'Cases' containment reference list.
`static int` `ETYPED_ELEMENT_SWITCH_QUERY_FEATURE_COUNT` The number of structural features of the 'ETyped Element Switch Query' class.
`static int` `FACET_CUSTOMIZATION` The meta object id for the '`Facet Customization`' class.
`static int` `FACET_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT` The feature id for the 'Conformance Typed Element' reference.
`static int` `FACET_CUSTOMIZATION__CUSTOMIZED_FACET` The feature id for the 'Customized Facet' reference.
`static int` `FACET_CUSTOMIZATION__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `FACET_CUSTOMIZATION__DOCUMENTATION` The feature id for the 'Documentation' attribute.
`static int` `FACET_CUSTOMIZATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FACET_CUSTOMIZATION__EPACKAGE` The feature id for the 'EPackage' container reference.
`static int` `FACET_CUSTOMIZATION__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list.
`static int` `FACET_CUSTOMIZATION__EXTENDED_FACETS` The feature id for the 'Extended Facets' reference list.
`static int` `FACET_CUSTOMIZATION__EXTENDED_METACLASS` The feature id for the 'Extended Metaclass' reference.
`static int` `FACET_CUSTOMIZATION__FACET_ELEMENTS` The feature id for the 'Facet Elements' containment reference list.
`static int` `FACET_CUSTOMIZATION__FACET_OPERATIONS` The feature id for the 'Facet Operations' containment reference list.
`static int` `FACET_CUSTOMIZATION__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute.
`static int` `FACET_CUSTOMIZATION__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute.
`static int` `FACET_CUSTOMIZATION__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute.
`static int` `FACET_CUSTOMIZATION__NAME` The feature id for the 'Name' attribute.
`static int` `FACET_CUSTOMIZATION_FEATURE_COUNT` The number of structural features of the 'Facet Customization' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`CustomFactory` `getCustomFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getCustomization_MustBeLoadedByDefault()` Returns the meta object for the attribute '`Must Be Loaded By Default`'.
`EClass` `getCustomization()` Returns the meta object for class '`Customization`'.
`EClass` `getEClassCustomization()` Returns the meta object for class '`EClass Customization`'.
`EReference` `getETypedElementCase_Case()` Returns the meta object for the reference '`Case`'.
`EReference` `getETypedElementCase_Value()` Returns the meta object for the containment reference '`Value`'.
`EClass` `getETypedElementCase()` Returns the meta object for class '`ETyped Element Case`'.
`EReference` `getETypedElementSwitchQuery_Cases()` Returns the meta object for the containment reference list '`Cases`'.
`EClass` `getETypedElementSwitchQuery()` Returns the meta object for class '`ETyped Element Switch Query`'.
`EReference` `getFacetCustomization_CustomizedFacet()` Returns the meta object for the reference '`Customized Facet`'.
`EClass` `getFacetCustomization()` Returns the meta object for class '`Facet Customization`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final CustomPackage eINSTANCE

The singleton instance of the package.

Generated:

#### CUSTOMIZATION

    static final int CUSTOMIZATION

The meta object id for the '`Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getCustomization()`, Constant Field Values
Generated:

#### CUSTOMIZATION__EANNOTATIONS

    static final int CUSTOMIZATION__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### CUSTOMIZATION__NAME

    static final int CUSTOMIZATION__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### CUSTOMIZATION__NS_URI

    static final int CUSTOMIZATION__NS_URI

The feature id for the 'Ns URI' attribute.

Generated:
Ordered:

#### CUSTOMIZATION__NS_PREFIX

    static final int CUSTOMIZATION__NS_PREFIX

The feature id for the 'Ns Prefix' attribute.

Generated:
Ordered:

#### CUSTOMIZATION__EFACTORY_INSTANCE

    static final int CUSTOMIZATION__EFACTORY_INSTANCE

The feature id for the 'EFactory Instance' reference.

Generated:
Ordered:

#### CUSTOMIZATION__ECLASSIFIERS

    static final int CUSTOMIZATION__ECLASSIFIERS

The feature id for the 'EClassifiers' containment reference list.

Generated:
Ordered:

#### CUSTOMIZATION__ESUBPACKAGES

    static final int CUSTOMIZATION__ESUBPACKAGES

The feature id for the 'ESubpackages' containment reference list.

Generated:
Ordered:

#### CUSTOMIZATION__ESUPER_PACKAGE

    static final int CUSTOMIZATION__ESUPER_PACKAGE

The feature id for the 'ESuper Package' container reference.

Generated:
Ordered:

#### CUSTOMIZATION__DOCUMENTATION

    static final int CUSTOMIZATION__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### CUSTOMIZATION__CATEGORIES

    static final int CUSTOMIZATION__CATEGORIES

The feature id for the 'Categories' containment reference list.

Generated:
Ordered:

#### CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT

    static final int CUSTOMIZATION__MUST_BE_LOADED_BY_DEFAULT

The feature id for the 'Must Be Loaded By Default' attribute.

Generated:
Ordered:

#### CUSTOMIZATION_FEATURE_COUNT

    static final int CUSTOMIZATION_FEATURE_COUNT

The number of structural features of the 'Customization' class.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION

    static final int ECLASS_CUSTOMIZATION

The meta object id for the '`EClass Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.EClassCustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getEClassCustomization()`, Constant Field Values
Generated:

#### ECLASS_CUSTOMIZATION__EANNOTATIONS

    static final int ECLASS_CUSTOMIZATION__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__NAME

    static final int ECLASS_CUSTOMIZATION__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__INSTANCE_CLASS_NAME

    static final int ECLASS_CUSTOMIZATION__INSTANCE_CLASS_NAME

The feature id for the 'Instance Class Name' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__INSTANCE_CLASS

    static final int ECLASS_CUSTOMIZATION__INSTANCE_CLASS

The feature id for the 'Instance Class' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__DEFAULT_VALUE

    static final int ECLASS_CUSTOMIZATION__DEFAULT_VALUE

The feature id for the 'Default Value' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__INSTANCE_TYPE_NAME

    static final int ECLASS_CUSTOMIZATION__INSTANCE_TYPE_NAME

The feature id for the 'Instance Type Name' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__EPACKAGE

    static final int ECLASS_CUSTOMIZATION__EPACKAGE

The feature id for the 'EPackage' container reference.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__ETYPE_PARAMETERS

    static final int ECLASS_CUSTOMIZATION__ETYPE_PARAMETERS

The feature id for the 'EType Parameters' containment reference list.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__DOCUMENTATION

    static final int ECLASS_CUSTOMIZATION__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__EXTENDED_METACLASS

    static final int ECLASS_CUSTOMIZATION__EXTENDED_METACLASS

The feature id for the 'Extended Metaclass' reference.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__FACET_ELEMENTS

    static final int ECLASS_CUSTOMIZATION__FACET_ELEMENTS

The feature id for the 'Facet Elements' containment reference list.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__FACET_OPERATIONS

    static final int ECLASS_CUSTOMIZATION__FACET_OPERATIONS

The feature id for the 'Facet Operations' containment reference list.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT

    static final int ECLASS_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT

The feature id for the 'Conformance Typed Element' reference.

Generated:
Ordered:

#### ECLASS_CUSTOMIZATION__EXTENDED_FACETS

    static final int ECLASS_CUSTOMIZATION__EXTENDED_FACETS

The feature id for the 'Extended Facets' reference list.

Since:
  0.2
Generated:
Ordered:

#### ECLASS_CUSTOMIZATION_FEATURE_COUNT

    static final int ECLASS_CUSTOMIZATION_FEATURE_COUNT

The number of structural features of the 'EClass Customization' class.

Generated:
Ordered:

#### FACET_CUSTOMIZATION

    static final int FACET_CUSTOMIZATION

The meta object id for the '`Facet Customization`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.FacetCustomizationImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getFacetCustomization()`, Constant Field Values
Generated:

#### FACET_CUSTOMIZATION__EANNOTATIONS

    static final int FACET_CUSTOMIZATION__EANNOTATIONS

The feature id for the 'EAnnotations' containment reference list.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__NAME

    static final int FACET_CUSTOMIZATION__NAME

The feature id for the 'Name' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__INSTANCE_CLASS_NAME

    static final int FACET_CUSTOMIZATION__INSTANCE_CLASS_NAME

The feature id for the 'Instance Class Name' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__INSTANCE_CLASS

    static final int FACET_CUSTOMIZATION__INSTANCE_CLASS

The feature id for the 'Instance Class' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__DEFAULT_VALUE

    static final int FACET_CUSTOMIZATION__DEFAULT_VALUE

The feature id for the 'Default Value' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__INSTANCE_TYPE_NAME

    static final int FACET_CUSTOMIZATION__INSTANCE_TYPE_NAME

The feature id for the 'Instance Type Name' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__EPACKAGE

    static final int FACET_CUSTOMIZATION__EPACKAGE

The feature id for the 'EPackage' container reference.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__ETYPE_PARAMETERS

    static final int FACET_CUSTOMIZATION__ETYPE_PARAMETERS

The feature id for the 'EType Parameters' containment reference list.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__DOCUMENTATION

    static final int FACET_CUSTOMIZATION__DOCUMENTATION

The feature id for the 'Documentation' attribute.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__EXTENDED_METACLASS

    static final int FACET_CUSTOMIZATION__EXTENDED_METACLASS

The feature id for the 'Extended Metaclass' reference.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__FACET_ELEMENTS

    static final int FACET_CUSTOMIZATION__FACET_ELEMENTS

The feature id for the 'Facet Elements' containment reference list.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__FACET_OPERATIONS

    static final int FACET_CUSTOMIZATION__FACET_OPERATIONS

The feature id for the 'Facet Operations' containment reference list.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT

    static final int FACET_CUSTOMIZATION__CONFORMANCE_TYPED_ELEMENT

The feature id for the 'Conformance Typed Element' reference.

Generated:
Ordered:

#### FACET_CUSTOMIZATION__EXTENDED_FACETS

    static final int FACET_CUSTOMIZATION__EXTENDED_FACETS

The feature id for the 'Extended Facets' reference list.

Since:
  0.2
Generated:
Ordered:

#### FACET_CUSTOMIZATION__CUSTOMIZED_FACET

    static final int FACET_CUSTOMIZATION__CUSTOMIZED_FACET

The feature id for the 'Customized Facet' reference.

Generated:
Ordered:

#### FACET_CUSTOMIZATION_FEATURE_COUNT

    static final int FACET_CUSTOMIZATION_FEATURE_COUNT

The number of structural features of the 'Facet Customization' class.

Generated:
Ordered:

#### ETYPED_ELEMENT_SWITCH_QUERY

    static final int ETYPED_ELEMENT_SWITCH_QUERY

The meta object id for the '`ETyped Element Switch Query`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.ETypedElementSwitchQueryImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getETypedElementSwitchQuery()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_SWITCH_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int ETYPED_ELEMENT_SWITCH_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_SWITCH_QUERY__CAN_BE_CACHED

    static final int ETYPED_ELEMENT_SWITCH_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_SWITCH_QUERY__CASES

    static final int ETYPED_ELEMENT_SWITCH_QUERY__CASES

The feature id for the 'Cases' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_SWITCH_QUERY_FEATURE_COUNT

    static final int ETYPED_ELEMENT_SWITCH_QUERY_FEATURE_COUNT

The number of structural features of the 'ETyped Element Switch Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_CASE

    static final int ETYPED_ELEMENT_CASE

The meta object id for the '`ETyped Element Case`' class.

See Also:
  `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.ETypedElementCaseImpl`, `org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom.impl.CustomPackageImpl#getETypedElementCase()`, Constant Field Values
Generated:

#### ETYPED_ELEMENT_CASE__CASE

    static final int ETYPED_ELEMENT_CASE__CASE

The feature id for the 'Case' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_CASE__VALUE

    static final int ETYPED_ELEMENT_CASE__VALUE

The feature id for the 'Value' containment reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ETYPED_ELEMENT_CASE_FEATURE_COUNT

    static final int ETYPED_ELEMENT_CASE_FEATURE_COUNT

The number of structural features of the 'ETyped Element Case' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getCustomization

    EClass getCustomization()

Returns the meta object for class '`Customization`'.

Returns:
  the meta object for class 'Customization'.
See Also:
  `Customization`
Generated:

#### getCustomization_MustBeLoadedByDefault

    EAttribute getCustomization_MustBeLoadedByDefault()

Returns the meta object for the attribute '`Must Be Loaded By Default`'.

Returns:
  the meta object for the attribute 'Must Be Loaded By Default'.
See Also:
  `Customization.isMustBeLoadedByDefault()`, `getCustomization()`
Generated:

#### getEClassCustomization

    EClass getEClassCustomization()

Returns the meta object for class '`EClass Customization`'.

Returns:
  the meta object for class 'EClass Customization'.
See Also:
  `EClassCustomization`
Generated:

#### getFacetCustomization

    EClass getFacetCustomization()

Returns the meta object for class '`Facet Customization`'.

Returns:
  the meta object for class 'Facet Customization'.
See Also:
  `FacetCustomization`
Generated:

#### getFacetCustomization_CustomizedFacet

    EReference getFacetCustomization_CustomizedFacet()

Returns the meta object for the reference '`Customized Facet`'.

Returns:
  the meta object for the reference 'Customized Facet'.
See Also:
  `FacetCustomization.getCustomizedFacet()`, `getFacetCustomization()`
Generated:

#### getETypedElementSwitchQuery

    EClass getETypedElementSwitchQuery()

Returns the meta object for class '`ETyped Element Switch Query`'.

Returns:
  the meta object for class 'ETyped Element Switch Query'.
See Also:
  `ETypedElementSwitchQuery`
Generated:

#### getETypedElementSwitchQuery_Cases

    EReference getETypedElementSwitchQuery_Cases()

Returns the meta object for the containment reference list '`Cases`'.

Returns:
  the meta object for the containment reference list 'Cases'.
See Also:
  `ETypedElementSwitchQuery.getCases()`, `getETypedElementSwitchQuery()`
Generated:

#### getETypedElementCase

    EClass getETypedElementCase()

Returns the meta object for class '`ETyped Element Case`'.

Returns:
  the meta object for class 'ETyped Element Case'.
See Also:
  `ETypedElementCase`
Generated:

#### getETypedElementCase_Case

    EReference getETypedElementCase_Case()

Returns the meta object for the reference '`Case`'.

Returns:
  the meta object for the reference 'Case'.
See Also:
  `ETypedElementCase.getCase()`, `getETypedElementCase()`
Generated:

#### getETypedElementCase_Value

    EReference getETypedElementCase_Value()

Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  `ETypedElementCase.getValue()`, `getETypedElementCase()`
Generated:

#### getCustomFactory

    CustomFactory getCustomFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: